Subject: bug#26815: closed (Re: bug#26815: [PATCH v4 3/3] vm: Add UEFI loader to disk images.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 19 May 2017 16:16:01 +0000

Your bug report

#26815: [PATCH 0/3] Hybrid UEFI disk image

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26815: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26815
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26815: [PATCH v4 3/3] vm: Add UEFI loader to disk images.
From: Marius Bakke <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Fri, 19 May 2017 18:15:50 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> writes:

> Marius Bakke <[email-masked]> skribis:
>
>> Here is a start on UEFI documentation update. Not sure if it's okay to
>> hijack the lightweight desktop template, or if it's better to have an
>> example closer to the (GRUB Configuration) section.
>
> I think it’s OK.
>
>> From 9db5b8acb017b8f283d36d09835f947879be4e30 Mon Sep 17 00:00:00 2001
>> From: Marius Bakke <[email-masked]>
>> Date: Thu, 18 May 2017 19:24:36 +0200
>> Subject: [PATCH] doc: Update GRUB EFI instructions.
>>
>> * doc/guix.texi (USB Stick Installation): Mention UEFI.
>> (Preparing for Installation): Add note about EFI System Partition.
>> (Proceeding with the Installation): Mention the GRUB-EFI package.
>> (GRUB Configuration): Likewise.
>> (Using the Configuration System): Hijack lightweight desktop to include UEFI.
>> * gnu/system/examples/lightweight-desktop.tmpl: Adjust native EFI configuration.
>
> Great!  Minor suggestions:

[...]

Thanks again for the excellent feedback. I did an installation by
"naively" following the manual and noticed that it does not mention
mounting other partitions before `guix system init`. So, I added it.

Pushed at last!

Subject: [PATCH 0/3] Hybrid UEFI disk image
From: Marius Bakke <[email-masked]>
To: [email-masked]
Cc: Marius Bakke <[email-masked]>
Date: Sun, 7 May 2017 16:35:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This ended up a lot simpler than anticipated.

These patches are on top of <https://bugs.gnu.org/26339>, but can be
ported to master since it ultimately didn't use any of the new tricks.

Test with:
  $ cp $(./pre-inst-env guix system disk-image --image-size=1G \
    gnu/system/install.scm) install.img
  $ chmod 644 install.img
  $ qemu-system-x86_64 -enable-kvm -m 512M -serial stdio \
    -bios $(guix build ovmf)/share/firmware/ovmf_x64.bin \
    -drive file=install.img,if=virtio

One caveat is that it probably only works on most(?) 64-bit systems.
Please test it on real hardware, especially older EFI systems. Not sure
what to do about 32-bit yet.

Marius Bakke (3):
  vm: Add support for arbitrary partition flags.
  vm: Support creating FAT partitions.
  vm: Support EFI boot in base image.

 gnu/build/vm.scm            | 98 +++++++++++++++++++++++++++++++++++++++------
 gnu/system/linux-initrd.scm |  4 +-
 gnu/system/vm.scm           | 16 ++++++--
 3 files changed, 98 insertions(+), 20 deletions(-)

-- 
2.12.2